%global _empty_manifest_terminate_build 0
Name:           python-platformdirs
Version:        3.5.1
Release:        1
Summary:        A small Python module for determining appropriate platform-specific dirs
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        https://files.pythonhosted.org/packages/9c/0e/ae9ef1049d4b5697e79250c4b2e72796e4152228e67733389868229c92bb/platformdirs-3.5.1.tar.gz
BuildArch:      noarch

BuildRequires:  python3-pip  python3-hatchling python3-hatch-vcs python3-wheel

%description
The problem When writing desktop application, finding the right location to
store user data and configuration varies per platform. Even for single-platform
apps, there may by plenty of nuances in figuring out the right location.

%package -n python3-platformdirs
Summary:        A small Python module for determining appropriate platform-specific dirs
Provides:       python-platformdirs
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# Tests running requires
BuildRequires:  python3-appdirs
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-coverage
%description -n python3-platformdirs
The problem When writing desktop application, finding the right location to
store user data and configuration varies per platform. Even for single-platform
apps, there may by plenty of nuances in figuring out the right location.

%package help
Summary:        A small Python module for determining appropriate platform-specific dirs
Provides:       python3-platformdirs-doc
%description help
The problem When writing desktop application, finding the right location to
store user data and configuration varies per platform. Even for single-platform
apps, there may by plenty of nuances in figuring out the right location

%prep
%autosetup -n platformdirs-%{version} -p1
cp -r src/platformdirs tests/
cp -r src/platformdirs ./

%build
%pyproject_build

%install
%pyproject_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%check
/usr/bin/pytest

%files -n python3-platformdirs
%{python3_sitelib}/platformdirs*

%files help
%{_docdir}/*

%changelog
* Mon Jun 05 2023 Dongxing Wang <dxwangk@isoftstone.com> - 3.5.1-1
- Upgrade the version to 3.5.1 for tox 4.5.2

* Sat May 06 2023 xu_ping <707078654@qq.com> - 3.5.0-1
- Upgrade the version to 3.5.0

* Thu May 26 2022 OpenStack_SIG <openstack@openeuler.org> - 2.5.1-1
- Upgrade the version to 2.5.1
 
* Wed Apr 27 2022 caodongxia <caodongxia@h-partners.com> - 2.3.0-1
- init package
